Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.stream.watch
Class ApplyImportsWatch

    java.lang.Object
      com.saxonica.validate.AbstractWatch
          com.saxonica.stream.watch.EventPushingWatch
              com.saxonica.stream.watch.ApplyTemplatesWatch
                  com.saxonica.stream.watch.ApplyImportsWatch

All Implemented Interfaces:
  Watch

    public class ApplyImportsWatch

extends ApplyTemplatesWatch

Watch for an xsl:apply-imports instruction. This doesn't really need to be a Watch, because it always processes the context node; but it means we can reuse a lot of code from the ApplyTemplatesWatch

Constructor Summary
`ApplyImportsWatch(Expression expression, SequenceReceiver result, Stack<XPathContext> contextStack)`

Method Summary
`protected Rule` | `getRule(FleetingNode node)` Get the template rule matching a specific node

Methods inherited from class com.saxonica.stream.watch.ApplyTemplatesWatch
`close, computeActualParams, computeTunnelParams, endSelectedParentNode, getLocalContext, getMode, notifySelectedLeafNode, open, setActualParams, setMode, setTunnelParams, setWatchManager, startSelectedParentNode`

Methods inherited from class com.saxonica.stream.watch.EventPushingWatch
`getContext, getContextStack, getExpression, getResult, setParentExpressionFeed, setResult`

Methods inherited from class com.saxonica.validate.AbstractWatch
`getAnchorNode, getNamespaceResolver, getPipelineConfiguration, getSelection, setAnchorNode, setNamespaceResolver, setPipelineConfiguration, setSelection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplyImportsWatch

    public ApplyImportsWatch(Expression expression,
                             SequenceReceiver result,
                             Stack<XPathContext> contextStack)
                      throws XPathException

Throws:
  `XPathException`

Method Detail

### getRule

    protected Rule getRule(FleetingNode node)
                    throws XPathException

  Description copied from class: `ApplyTemplatesWatch`
  Get the template rule matching a specific node

  Overrides:
    `getRule` in class `ApplyTemplatesWatch`
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.